Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 469485 - Review Request: fakeap - Fake Access Points generator
Summary: Review Request: fakeap - Fake Access Points generator
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-11-01 13:18 UTC by Fabian Affolter
Modified: 2009-12-21 11:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-10 11:38:43 UTC


Attachments (Terms of Use)

Description Fabian Affolter 2008-11-01 13:18:16 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/fakeap.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/fakeap-0.3.2-1.fc9.src.rpm
Project URL: http://www.blackalchemy.to/project/fakeap/

Description: 
FakeAP generates thousands of counterfeit 802.11b access points. Hide in 
plain sight amongst Fake AP's cacophony of beacon frames. As part of a 
honeypot or as an instrument of your site security plan, Fake AP confuses
Wardrivers, NetStumblers, Script Kiddies, and other undesirables.

Koji scratch build:
F9:  http://koji.fedoraproject.org/koji/taskinfo?taskID=914135
F10: http://koji.fedoraproject.org/koji/taskinfo?taskID=914133

RPM rpmlint output:
[fab@laptop024 noarch]$ rpmlint -i fake*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

SRPM rpmlint output:
[fab@laptop024 SRPMS]$ rpmlint -i fakeap*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Till Maas 2008-12-10 21:00:19 UTC
Uh, I thought this would be a fast review, but I noticed that there is a missing dependency. fakeap.pl uses

/usr/local/bin/hostap_crypt_conf

which seems not to exist in Fedora. It seems you need to package at least this first:
http://hostap.epitest.fi/releases/hostap-utils-0.4.7.tar.gz

How did you use this package without this? Btw. the devel release of aircrack-ng also allows to create fake accesspoints which works pretty well. There is also some integration into metasploit.

Comment 2 Fabian Affolter 2008-12-17 09:45:49 UTC
At the moment there is no Prism2/2.5/3 based 802.11b cards in my hardware pool, I tested only if fakeap runs and not if it's really working.  So I miss the dependency of hostap_crypt_conf.  Thanks for pointing me to that.
 
I didn't know that aircrack-ng provide such functionality.  Because of that I think that it would be better to drop this request or postpone it till hostap-utils is available.


Note You need to log in before you can comment on or make changes to this bug.